<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from distfun_logustat.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="distfun_logustat" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>distfun_logustat</refname>
    <refpurpose>LogUniform mean and variance</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   M = distfun_logustat ( a , b )
   [M,V] = distfun_logustat ( a , b )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>a:</term>
      <listitem><para> a matrix of doubles, the minimum of the underlying uniform variable.</para></listitem></varlistentry>
   <varlistentry><term>b:</term>
      <listitem><para> a matrix of doubles, the maximum of the underlying uniform variable. b>a.</para></listitem></varlistentry>
   <varlistentry><term>M :</term>
      <listitem><para> a matrix of doubles, the mean</para></listitem></varlistentry>
   <varlistentry><term>V :</term>
      <listitem><para> a matrix of doubles, the variance</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Computes statistics from the LogUniform distribution.
   </para>
   <para>
The mean and variance of the LogUniform distribution are
   </para>
   <para>
<latex>
\begin{eqnarray}
M&amp;=&amp;\frac{\exp(b)-\exp(a)}{b-a} \\
V&amp;=&amp;\frac{1}{2} \frac{\exp(b)^2-\exp(a)^2}{b-a}-M^2
\end{eqnarray}
</latex>
   </para>
   <para>
Any scalar input argument is expanded to a matrix of doubles of the same size as the other input arguments.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
a = 1:6;
b = 2:7;
[M,V]=distfun_logustat(a,b)

// Check random samples
R=distfun_logurnd(10000,1,3,5);
[mean(R),M]
[variance(R),V]

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2013 - 2014 - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
